// file: $isip/class/algo/Correlation/corr_01.cc
// version: $Id: corr_01.cc 7505 2001-11-27 19:05:43Z gao $
//

// isip include files
//
#include <Console.h>
#include "Correlation.h"

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: a boolean value indicating status
//
boolean Correlation::debug(const unichar* msg_a) const {

  // declare local variables
  //
  String value;
  String output;
 
  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();
  
  // display the algorithm name
  //
  output.debugStr(name(), msg_a, L"algorithm_d",
                  ALGO_MAP.getName((long)algorithm_d));
  Console::put(output);
  
  // display the implementation name
  //
  output.debugStr(name(), msg_a, L"implementation_d",
                  IMPL_MAP.getName((long)implementation_d));
  Console::put(output);
  
  // display the normalization name
  //
  output.debugStr(name(), msg_a, L"normalization_d",
                  NORM_MAP.getName((long)normalization_d));
  Console::put(output);
  
  // display the order
  //
  value.assign((long)order_d);
  output.debugStr(name(), msg_a, L"order_d", value);
  Console::put(output);

  // display the base class
  //
  AlgorithmBase::debug(L"AlgorithmBase");

 // decrease indention
  //
  Console::decreaseIndention();
 
  // exit gracefully
  //
  return true;
}
